# functions.h File Reference

Some generic functions that actually shouldn't be here. More...

`#include "core/random_func.hpp"`
`#include "command_type.h"`
`#include "tile_cmd.h"`

Go to the source code of this file.

## Functions
void | DrawHillyLandTile (const TileInfo *ti)
void | DrawClearLandTile (const TileInfo *ti, byte set)
void | DrawClearLandFence (const TileInfo *ti)
void | TileLoopClearHelper (TileIndex tile)
bool | CheckCompanyHasMoney (CommandCost cost)
void | SubtractMoneyFromCompany (CommandCost cost)
void | SubtractMoneyFromCompanyFract (CompanyID company, CommandCost cost)
bool | CheckOwnership (Owner owner)
bool | CheckTileOwnership (TileIndex tile)
void | InitializeLandscapeVariables (bool only_constants)
void | MarkTileDirty (int x, int y)
| Mark a tile given by its coordinate dirty for repaint.
void | MarkTileDirtyByTile (TileIndex tile)
| Mark a tile given by its index dirty for repaint.
void | MarkAllViewportsDirty (int left, int top, int right, int bottom)
| Mark all viewports dirty for repaint.
void | ShowCostOrIncomeAnimation (int x, int y, int z, Money cost)
void | ShowFeederIncomeAnimation (int x, int y, int z, Money cost)
void | AskExitGame ()
void | AskExitToGameMenu ()
void | RedrawAutosave ()
int | ttd_main (int argc, char *argv[])
void | HandleExitGameRequest ()

## Detailed Description

Some generic functions that actually shouldn't be here.

Definition in file functions.h.